﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Core;
using Infragistics.UltraChart.Core.Primitives;
using System.Diagnostics;
using Infragistics.UltraChart.Resources;
using Infragistics.UltraChart.Shared.Styles;
using System.Collections;

namespace _126447
{
    public partial class Form1 : Form
    {
        Box latestP = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            ((ColumnChartAppearance)ultraChart1.CompositeChart.ChartLayers[0].ChartTypeAppearance).ColumnSpacing = 0;
            ((ColumnChartAppearance)ultraChart1.CompositeChart.ChartLayers[0].ChartTypeAppearance).SeriesSpacing = 3;

            this.ultraChart1.Tooltips.FormatString = "<MyDATA_VALUE>";
 
            Hashtable MyLabelHashTable = new Hashtable();
            MyLabelHashTable.Add("MyDATA_VALUE", new MyLabelRenderer());
            this.ultraChart1.LabelHash = MyLabelHashTable;

        }

        private void ultraChart1_DataItemOver(object sender, Infragistics.UltraChart.Shared.Events.ChartDataEventArgs e)
        {
            if (!e.Primitive.Empty)
                latestP = e.Primitive as Box;
            MyLabelRenderer.OverLegend(e.Primitive is Box && !string.IsNullOrEmpty(e.Primitive.Path) && e.Primitive.Path.ToLower() == "legend");
                
        }


        private void ultraChart1_ChartDrawItem(object sender, Infragistics.UltraChart.Shared.Events.ChartDrawItemEventArgs e)
        {
            if (e.Primitive is Box && !string.IsNullOrEmpty(e.Primitive.Path) && e.Primitive.Path.ToLower() == "legend")
                e.Primitive.Caps = PCaps.HitTest | PCaps.Tooltip;
            
           
            if (latestP != null && e.Primitive.Column == latestP.Column)
                    e.Primitive.PE = latestP.PE;

           
        }

        private void ultraChart1_DataItemOut(object sender, Infragistics.UltraChart.Shared.Events.ChartDataEventArgs e)
        {
            (ultraChart1 as IChartComponent).Invalidate(CacheLevel.LayerLevelCache);
            latestP = null;
        }
    }
}
